/*
 * GUI front-end main header
 *
 * Copyright INOUE Seiichiro <inoue@ainet.or.jp>, licensed under the GPL.
 */
#ifndef __GDIFF_GUI_H__
#define __GDIFF_GUI_H__


#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

/*
 * Contant number
 */
#define APPNAME		"gtkdiff"

typedef enum {
	ONE_PANE,
	TWO_PANE,
} PaneMode;

/* Move to a difference, such as next, previous, first or last. */	
typedef enum {
	MOVED_NEXT,
	MOVED_PREV,
	MOVED_REL_NEXT,
	MOVED_REL_PREV,
	MOVED_FIRST,
	MOVED_LAST,
} MoveDiff;

	
/* Forward declarations of types. */
typedef struct _GDiffWindow GDiffWindow;
typedef struct _GDiffDirViews GDiffDirViews;
typedef struct _GDiffFileViews GDiffFileViews;
typedef struct _Preference Preference;
typedef struct _WinPref WinPref;
typedef struct _DViewPref DViewPref;
typedef struct _FViewPref FViewPref;


/* Global function declarations */
/* main.c */
extern void gtkdiff_exit(GtkObject *obj, gpointer data);


#ifdef __cplusplus
} 
#endif /* __cplusplus */
 
#endif /* __GDIFF_GUI_H__ */
